## RANDNF Generate Noncentral F-Distribution Random Variable

Section: Random Number Generation

### Usage

Generates a vector of non-central F-distributed random variables with the specified parameters. The general syntax for its use is

       y = randnf(n,m,c)

where `n` is the number of degrees of freedom in the numerator, and `m` is the number of degrees of freedom in the denominator. The vector `c` determines the non-centrality shift of the numerator.

### Function Internals

A non-central F-distributed random variable is the ratio of a non-central chi-square random variable and a central chi-square random variable, i.e.,

### Example

Here we use the `randf` to generate some non-central F-distributed random variables:

    --> randnf(5*ones(1,9),7,1.34)

    ans =

     Columns 1 to 8

        1.9422    0.5987    0.1890    0.7468    2.3759    8.2553    1.8047    0.2222

     Columns 9 to 9

        2.2680